package com.css.simulation.resource.server.application.job_manage;

import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.vo.project.ProjectReportVO;
import api.common.util.StringUtil;
import com.css.simulation.resource.server.domain.ProjectDomain;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class JobManageApplication {

    @Resource
    private ProjectDomain projectDomain;

    public ProjectReportVO getLastProjectReportByAlgorithmId(String algorithmId) {
        //1 获取最新的项目ID
        String projectId = projectDomain.getLastProjectIdByAlgorithmId(algorithmId);
        if (StringUtil.isEmpty(projectId)) {
            throw new RuntimeException("该算法还未执行过项目。");
        }
        String projectType = projectDomain.getProjectTypeByProjectId(projectId);

        //2 获取报告详情
        return projectDomain.getProjectReport(SimulationManualProjectParam.builder()
                .id(projectId)
                .projectType(projectType)
                .build());
    }

    public List<String> getLastVideoListByAlgorithmId(String algorithmId) {
        String projectId = projectDomain.getLastProjectIdByAlgorithmId(algorithmId);
        if (StringUtil.isEmpty(projectId)) {
            throw new RuntimeException("该算法还未执行过项目。");
        }
        String projectType = projectDomain.getProjectTypeByProjectId(projectId);
        return projectDomain.getVideoList(SimulationManualProjectParam.builder()
                .id(projectId)
                .projectType(projectType)
                .build());
    }

}
